use crate::puter::Puter;
use crate::read;

pub fn run() {
    let input = read("10");
    let mut device = Puter::new();
    device.run(&input);

    #[cfg(feature = "part1")]
    {
        println!(
            "Day 10, Part 01: {}",
            device.signal_strengths().iter().sum::<i32>()
        );
    }

    #[cfg(feature = "part2")]
    {
        println!("Day 10, Part 02: \n{}", device.output().join("\n"));
    }
}
